Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw
Class CSWFactory

    java.lang.Object
      org.deegree.ogcwebservices.csw.CSWFactory

    public final class CSWFactory

extends Object

Service factory to create a catalog service.

Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe , Markus Schneider , last edited by: $Author: mschneider $
To do:
  all instances of the service should be pooled.

Method Summary
`static CatalogueService` | `getService()`
`static CatalogueService` | `getUncachedService(CatalogueConfiguration config)`
`static void` | `reset()`
`static void` | `setConfiguration(CatalogueConfiguration catalogConfiguration)` must be synchronized
`static void` | `setConfiguration(URL serviceConfigurationUrl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setConfiguration

    public static void setConfiguration(CatalogueConfiguration catalogConfiguration)

  must be synchronized

  Parameters:
    `catalogConfiguration` -

### setConfiguration

    public static void setConfiguration(URL serviceConfigurationUrl)
                                 throws InvalidConfigurationException

  Parameters:
    `serviceConfigurationUrl` -
  Throws:
    `InvalidConfigurationException`

### getService

    public static CatalogueService getService()
                                       throws OGCWebServiceException

  Returns:
    a new service
  Throws:
    `OGCWebServiceException`
  To do:

### getUncachedService

    public static CatalogueService getUncachedService(CatalogueConfiguration config)
                                               throws OGCWebServiceException

  Parameters:
    `config` -
  Returns:
    a new service
  Throws:
    `OGCWebServiceException`

### reset

    public static void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org